<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_articles_category
 *
 * @copyright   Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

// get modul params
$module = JModuleHelper::getModule('mod_sketchmaps');
$moduleparams = new JRegistry($module->params);

$zip = $moduleparams['zip'];
$city = $moduleparams['city'];
$street = $moduleparams['address'];
$par_lat = $moduleparams['par_lat'];
$par_long = $moduleparams['par_long'];
$zoom = $moduleparams['zoom'];
$width = $moduleparams['width'];
$height = $moduleparams['height'];
$overlay = $moduleparams['scroll'];
$style = "";
if ($width == 0) {
    $style .= 'width: 100%;';
}
else {
    $style .= 'width: '.$width.'px;';
}
if ($height == 0) {
    $style .= 'height: 300px;';
    $height = '300';
}
else {
    $style .= 'height: '.$height.'px;';
}

function getCoordsByName($place)
{
	$module = JModuleHelper::getModule('mod_sketchmaps');
	$moduleparams = new JRegistry($module->params);
	$content = file_get_contents('https://maps.googleapis.com/maps/api/geocode/json?address=' . urlencode($place) . '&sensor=false&key='.$moduleparams['google_key']);
    $json = json_decode($content, true);
    if (!$content || is_null($json)) {
        return false;
    }
    $coordinates = $json['results'][0]['geometry']['location'];
    return array($coordinates['lat'], $coordinates['lng']);
}



$latlong_address = $street . ", " . $city . ", " . $zip;


if ($par_lat == "" || $par_long == "") {
    $latlong = getCoordsByName($latlong_address);
    $lat = $latlong[0];
    $long = $latlong[1];
}
else {
    $lat = $par_lat;
    $long = $par_long;
}




?>

<script src="https://maps.googleapis.com/maps/api/js?v=3.exp&key=<?php echo $moduleparams['google_key']; ?>"></script>
<script>var map;
    function initialize() {
        var mapOptions = {
            zoom: <?php echo $zoom; ?>,
            center: new google.maps.LatLng(<?php echo $lat.",".$long;?>)
        };
        map = new google.maps.Map(document.getElementById('sketchmap'),
            mapOptions);
        marker = new google.maps.Marker({
            position: new google.maps.LatLng(<?php echo $lat.",".$long;?>),
            map: map
        });
    }

    google.maps.event.addDomListener(window, 'load', initialize);
</script>